ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hadoop QA (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-16020) Hive Metastore install failed since mysql-server not installed
Date Thu, 21 Apr 2016 17:53:25 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-16020?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15252326#comment-15252326
] 

Hadoop QA commented on AMBARI-16020:
------------------------------------

{color:green}+1 overall{color}.  Here are the results of testing the latest attachment 
  http://issues.apache.org/jira/secure/attachment/12800013/AMBARI-16020.patch
  against trunk revision .

    {color:green}+1 @author{color}.  The patch does not contain any @author tags.

    {color:green}+1 tests included{color}.  The patch appears to include 1 new or modified
test files.

    {color:green}+1 javac{color}.  The applied patch does not increase the total number of
javac compiler warnings.

    {color:green}+1 release audit{color}.  The applied patch does not increase the total number
of release audit warnings.

    {color:green}+1 core tests{color}.  The patch passed unit tests in ambari-web.

Test results: https://builds.apache.org/job/Ambari-trunk-test-patch/6583//testReport/
Console output: https://builds.apache.org/job/Ambari-trunk-test-patch/6583//console

This message is automatically generated.

> Hive Metastore install failed since mysql-server not installed
> --------------------------------------------------------------
>
>                 Key: AMBARI-16020
>                 URL: https://issues.apache.org/jira/browse/AMBARI-16020
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-web
>    Affects Versions: 2.4.0
>            Reporter: Andrii Tkach
>            Assignee: Andrii Tkach
>            Priority: Critical
>             Fix For: 2.4.0
>
>         Attachments: AMBARI-16020.patch
>
>
> STR:
> * Install Ambari 2.4.0.0-4686 on 3 hosts
> * Install HDP 2.5.0.0-58 with Hive Server on 1 host and Hive Metastore on the other
> * Select option to install Hive with "New MySQL" database
> Failed installing Hive Metastore since MySQL service was not installed.
> {code}
>   File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 293,
in _call
>     raise Fail(err_msg)
> resource_management.core.exceptions.Fail: Execution of 'export HIVE_CONF_DIR=/usr/hdp/current/hive-metastore/conf/conf.server
; /usr/hdp/current/hive-metastore/bin/schematool -initSchema -dbType mysql -userName hive
-passWord [PROTECTED]' returned 1. WARNING: Use "yarn jar" to launch YARN applications.
> Metastore connection URL:	 jdbc:mysql://c6405.ambari.apache.org/hive?createDatabaseIfNotExist=true
> Metastore Connection Driver :	 com.mysql.jdbc.Driver
> Metastore connection User:	 hive
> org.apache.hadoop.hive.metastore.HiveMetaException: Failed to get schema version.
> *** schemaTool failed ***
> {code}
> I had to run this manually,
> {code}
> yum install mysql-server -y
> service mysqld start
> mysql -u root -p (password is empty string)
> mysql> CREATE USER 'hive'@'%' IDENTIFIED BY 'admin';
> Query OK, 0 rows affected (0.00 sec)
> mysql> GRANT ALL PRIVILEGES ON *.* TO 'hive'@'%';
> Query OK, 0 rows affected (0.00 sec)
> mysql> GRANT ALL PRIVILEGES ON *.* TO 'hive'@'localhost';
> Query OK, 0 rows affected (0.00 sec)
> mysql> GRANT ALL PRIVILEGES ON *.* TO 'hive'@'c6405.ambari.apache.org';
> Query OK, 0 rows affected (0.00 sec)
> mysql> GRANT ALL PRIVILEGES ON *.* TO 'hive'@'c6405.ambari.apache.org' IDENTIFIED
BY 'admin' WITH GRANT OPTION;
> Query OK, 0 rows affected (0.00 sec)
> mysql> flush privileges;
> Query OK, 0 rows affected (0.00 sec)
> {code}
> and then try the Start again.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message